[rspec-users] Rspec2 for rails 2.3.8?

Radhesh Kamath lists at ruby-forum.com
Wed Mar 2 17:53:41 EST 2011

Radhesh Kamath wrote in post #985062:

> spec_helper.rb looks like so:
> ENV["RAILS_ENV"] ||= 'development'
> require File.expand_path("../../config/environment", __FILE__)
> # Requires supporting ruby files with custom matchers and macros, etc,
> # in spec/support/ and its subdirectories.
> Dir[Rails.root.join("spec/support/**/*.rb")].each {|f| require f}

Sorry about the trouble, folks. It was my mistake.

Adding require 'rspec/rails' fixed my problem.


Posted via http://www.ruby-forum.com/.

More information about the rspec-users mailing list